# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate encoding_rs

Name:           rust-%{crate}
Version:        0.8.14
Release:        1%{?dist}
Summary:        Gecko-oriented implementation of the Encoding Standard

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/encoding_rs
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No simd
# * Drop unneeded script, https://github.com/hsivonen/encoding_rs/pull/38
Patch0:         encoding_rs-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cfg-if/default) >= 0.1.0 with crate(cfg-if/default) < 0.2.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(bincode/default) >= 0.8.0 with crate(bincode/default) < 0.9.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(serde_json/default) >= 1.0.0 with crate(serde_json/default) < 2.0.0)
%endif

%global _description \
A Gecko-oriented implementation of the Encoding Standard.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license COPYRIGHT LICENSE-MIT LICENSE-APACHE
%doc README.md CONTRIBUTING.md Ideas.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+less-slow-big5-hanzi-encode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+less-slow-big5-hanzi-encode-devel %{_description}

This package contains library source intended for building other packages
which use "less-slow-big5-hanzi-encode" feature of "%{crate}" crate.

%files       -n %{name}+less-slow-big5-hanzi-encode-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+less-slow-gb-hanzi-encode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+less-slow-gb-hanzi-encode-devel %{_description}

This package contains library source intended for building other packages
which use "less-slow-gb-hanzi-encode" feature of "%{crate}" crate.

%files       -n %{name}+less-slow-gb-hanzi-encode-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+less-slow-kanji-encode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+less-slow-kanji-encode-devel %{_description}

This package contains library source intended for building other packages
which use "less-slow-kanji-encode" feature of "%{crate}" crate.

%files       -n %{name}+less-slow-kanji-encode-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.8.14-1
- Update to 0.8.14

* Thu Nov 29 2018 Josh Stone <jistone@redhat.com> - 0.8.13-1
- Update to 0.8.13

* Sun Nov 18 2018 Josh Stone <jistone@redhat.com> - 0.8.12-1
- Update to 0.8.12

* Fri Nov 16 2018 Josh Stone <jistone@redhat.com> - 0.8.11-1
- Update to 0.8.11

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.10-2
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.10-1
- Update to 0.8.10

* Thu Oct 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.9-1
- Update to 0.8.9

* Mon Oct 01 2018 Josh Stone <jistone@redhat.com> - 0.8.8-1
- Update to 0.8.8

* Thu Sep 27 2018 Josh Stone <jistone@redhat.com> - 0.8.7-1
- Update to 0.8.7

* Mon Aug 13 2018 Josh Stone <jistone@redhat.com> - 0.8.6-1
- Update to 0.8.6

* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.8.5-1
- Update to 0.8.5

* Sun Jul 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.4-1
- Update to 0.8.4

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.2-1
- Update to 0.7.2

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-2
- Rebuild for rust-packaging v5

* Mon Nov 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-2
- Port to use rust-packaging

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Initial package
